> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Enrolled Payment Method by ID PCI Data

Retrieve a specific payment method that a user has enrolled in, including the full card number in the response.

<Note>
  **Retrieve Enrolled Payment Method**

  To retrieve the enrolled payment method information, you need to provide the `payment_method_id`, which is the `vaulted_token` received when using the [Enroll Payment Method](#enroll-payment-method-api) endpoint.
</Note>

<Warning>
  **PCI merchants only**

  This endpoint is only available for PCI-certified merchants. To enable it, contact your Key Account Manager (KAM).
</Warning>


## OpenAPI

````yaml openapi/payment-methods-direct-workflow/retrieve-enrolled-payment-method-by-id-pci-api.json GET /customers/{customer_id}/payment-methods/{payment_method_id}
openapi: 3.1.0
info:
  title: customer-api
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /customers/{customer_id}/payment-methods/{payment_method_id}:
    get:
      summary: Retrieve Enrolled Payment Method by Id PCI data
      operationId: retrieve-enrolled-payment-method-by-id-pci-api
      parameters:
        - name: customer_id
          in: path
          description: >-
            The unique identifier of the customer, created using the [Create
            Customer](https://docs.y.uno/reference/create-customer) endpoint
            (UUID, 36 chars).
          schema:
            type: string
          required: true
        - name: payment_method_id
          in: path
          description: >-
            The unique identifier of the `payment_method`. This information was
            received as the `vaulted_token` by enrolling a payment method using
            [Enroll Payment Method](/reference/enroll-payment-method-api) (UUID,
            36 chars).
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    idempotency_key: 2ca58c6d-8794-4c8f-a2f6-bba4b7498b74
                    id: 2fd6bf11-2129-4061-9c2a-34e196f89753
                    account_id: 493e9374-510a-4201-9e09-de669d75f256
                    name: VISA ****1111
                    description: VISA ****1111
                    type: CARD
                    category: CARD
                    country: US
                    status: ENROLLED
                    sub_status: null
                    vaulted_token: 7ced7717-f860-4705-a376-58a714953de9
                    action: FORM
                    redirect_url: null
                    created_at: '2024-06-04T12:47:46.992602Z'
                    updated_at: '2024-06-04T12:47:46.992603Z'
                    enrollment:
                      session: ''
                      sdk_required_action: false
                    provider:
                      id: YUNO
                      type: YUNO
                      token: e47299a5-269e-42a1-9be1-9f64e400413a
                      provider_status: null
                    customer_payer:
                      first_name: John
                      last_name: Doe
                      email: john.doe@example.com
                      gender: M
                      date_of_birth: '1990-02-28'
                      document:
                        document_number: '123456789'
                        document_type: SSN
                      phone:
                        number: '5551234567'
                        country_code: '1'
                      billing_address:
                        address_line_1: 123 Main St
                        address_line_2: Apt 4B
                        country: US
                        state: NY
                        city: New York
                        zip_code: '10001'
                    card_data:
                      number: '4111111111111111'
                      iin: '41111111'
                      lfd: '1111'
                      expiration_month: 3
                      expiration_year: 26
                      number_length: 16
                      security_code_length: 3
                      brand: VISA
                      issuer: JPMORGAN CHASE BANK N A
                      issuer_code: null
                      category: CREDIT
                      type: CREDIT
                      fingerprint: 55a7fe38-cdc3-45dc-8c5f-820751799c76
                    last_successfully_used: null
                    last_successfully_used_at: null
                    verify:
                      vault_on_success: false
                      payment: null
                    preferred: null
              schema:
                type: object
                properties:
                  idempotency_key:
                    type: string
                    example: 2ca58c6d-8794-4c8f-a2f6-bba4b7498b74
                  id:
                    type: string
                    example: 2fd6bf11-2129-4061-9c2a-34e196f89753
                  account_id:
                    type: string
                    example: 493e9374-510a-4201-9e09-de669d75f256
                  name:
                    type: string
                    example: VISA ****1111
                  description:
                    type: string
                    example: VISA ****1111
                  type:
                    type: string
                    example: CARD
                  category:
                    type: string
                    example: CARD
                  country:
                    type: string
                    example: US
                  status:
                    type: string
                    example: ENROLLED
                  sub_status:
                    type: string
                    nullable: true
                    description: Additional status detail.
                    example: null
                  vaulted_token:
                    type: string
                    example: 7ced7717-f860-4705-a376-58a714953de9
                  action:
                    type: string
                    example: FORM
                  redirect_url:
                    type: string
                    nullable: true
                    description: URL to redirect the customer to, for redirect workflows.
                    example: null
                  created_at:
                    type: string
                    example: '2024-06-04T12:47:46.992602Z'
                  updated_at:
                    type: string
                    example: '2024-06-04T12:47:46.992603Z'
                  enrollment:
                    type: object
                    properties:
                      session:
                        type: string
                        example: ''
                      sdk_required_action:
                        type: boolean
                        example: false
                        default: true
                  provider:
                    type: object
                    properties:
                      id:
                        type: string
                        example: YUNO
                      type:
                        type: string
                        example: YUNO
                      token:
                        type: string
                        example: e47299a5-269e-42a1-9be1-9f64e400413a
                      provider_status:
                        type: string
                        nullable: true
                        description: Status returned by the provider.
                        example: null
                  customer_payer:
                    type: object
                    properties:
                      first_name:
                        type: string
                        example: John
                      last_name:
                        type: string
                        example: Doe
                      email:
                        type: string
                        example: john.doe@example.com
                      gender:
                        type: string
                        example: M
                      date_of_birth:
                        type: string
                        example: '1990-02-28'
                      document:
                        type: object
                        properties:
                          document_number:
                            type: string
                            example: '123456789'
                          document_type:
                            type: string
                            example: SSN
                      phone:
                        type: object
                        properties:
                          number:
                            type: string
                            example: '5551234567'
                          country_code:
                            type: string
                            example: '1'
                      billing_address:
                        type: object
                        properties:
                          address_line_1:
                            type: string
                            example: 123 Main St
                          address_line_2:
                            type: string
                            example: Apt 4B
                          country:
                            type: string
                            example: US
                          state:
                            type: string
                            example: NY
                          city:
                            type: string
                            example: New York
                          zip_code:
                            type: string
                            example: '10001'
                  card_data:
                    type: object
                    properties:
                      number:
                        type: string
                        description: >-
                          Full card number. Only returned for PCI-certified
                          merchants.
                        example: '4111111111111111'
                      iin:
                        type: string
                        example: '41111111'
                      lfd:
                        type: string
                        example: '1111'
                      expiration_month:
                        type: integer
                        example: 3
                        default: 0
                      expiration_year:
                        type: integer
                        example: 26
                        default: 0
                      number_length:
                        type: integer
                        example: 16
                        default: 0
                      security_code_length:
                        type: integer
                        example: 3
                        default: 0
                      brand:
                        type: string
                        example: VISA
                      issuer:
                        type: string
                        example: JPMORGAN CHASE BANK N A
                      issuer_code:
                        type: string
                        nullable: true
                        description: Code of the card-issuing bank.
                        example: null
                      category:
                        type: string
                        example: CREDIT
                      type:
                        type: string
                        example: CREDIT
                      fingerprint:
                        type: string
                        example: 55a7fe38-cdc3-45dc-8c5f-820751799c76
                  last_successfully_used:
                    type: boolean
                    nullable: true
                    description: >-
                      Whether the payment method was successfully used at least
                      once.
                    example: null
                  last_successfully_used_at:
                    type: string
                    nullable: true
                    description: Timestamp of the last successful use (ISO 8601).
                    example: null
                  verify:
                    type: object
                    properties:
                      vault_on_success:
                        type: boolean
                        example: false
                        default: true
                      payment:
                        type: object
                        nullable: true
                        description: >-
                          Payment details associated with the verification, if
                          applicable.
                        example: null
                  preferred:
                    type: boolean
                    nullable: true
                    description: Whether this is the customer's preferred payment method.
                    example: null
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Bad Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
                Customer Not Found:
                  value:
                    code: CUSTOMER_NOT_FOUND
                    messages:
                      - Customer not found
                  summary: Customer Not Found
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Unauthorized:
                  value:
                    code: INVALID_CREDENTIALS
                    messages:
                      - Invalid credentials
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_CREDENTIALS
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid credentials
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Forbidden:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API.
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: AUTHORIZATION_REQUIRED
                  messages:
                    type: array
                    items:
                      type: string
                      example: The merchant has no authorization to use this API.
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Not Found:
                  value:
                    code: PAYMENT_METHOD_NOT_FOUND
                    messages:
                      - Payment method not found
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: PAYMENT_METHOD_NOT_FOUND
                  messages:
                    type: array
                    items:
                      type: string
                      example: Payment method not found
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````